Bug 203265 - Review Request: nqc - Programming environment for Lego's RCX (Mindstorms) bricks
Review Request: nqc - Programming environment for Lego's RCX (Mindstorms) bricks
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul F. Johnson
Fedora Package Reviews List
:
: 185205 (view as bug list)
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-08-19 21:02 EDT by Rick L Vinyard Jr
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-20 20:47:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rick L Vinyard Jr 2006-08-19 21:02:48 EDT
Spec URL: http://miskatonic.cs.nmsu.edu/pub/nqc.spec

SRPM URL: 
http://miskatonic.cs.nmsu.edu/pub/fedora/5/srpms/nqc-3.1.4-1.src.rpm

Description:

Not Quite C is a simple language with a C-like syntax that can be used to
program Lego's RCX programmable brick (from the Mindstorms set).

Notes:
This is built on Simon Perreault's work, which is a closed duplicate of this bug report.

About the warnings:
I don't know of any other app using the lego group.
The udev/group rules are based on fuse's spec, so if this is wrong at least I've got company.   :)
Comment 1 Rick L Vinyard Jr 2006-08-19 21:09:06 EDT
Simon's original submission is here:
 http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=185205
Comment 2 Paul F. Johnson 2006-08-20 06:17:44 EDT
%{_sbindir}/groupadd

You don't have anything in Requires(pre) for this (or the similar one in postun)
Comment 3 Paul F. Johnson 2006-08-20 06:27:00 EDT
rpmlint warnings
.src.rpm : mixed used of spaces and tabs
rpm : non-conffile-in-etc /etc/udev/rules.d/60-legousbtower.rules
      dangerous-command-in-%postun groupdel

I'm not worried about the src.rpm warning, but am about the two in the rpm
(especially the dangerous command one).

Fails to build in mock
/bin/sh: flex: command not found
Comment 4 Simon Perreault 2006-08-20 08:58:51 EDT
*** Bug 185205 has been marked as a duplicate of this bug. ***
Comment 5 Paul F. Johnson 2006-08-20 11:10:41 EDT
Please remove the groupdel from the next iteration of the spec file - it's a
recipe for disaster. Does the %pre check to ensure that lego doesn't already
exist first? It looks like it does.
Comment 6 Rick L Vinyard Jr 2006-08-20 13:31:34 EDT
Spec URL: http://miskatonic.cs.nmsu.edu/pub/nqc.spec

SRPM URL: 
http://miskatonic.cs.nmsu.edu/pub/fedora/5/srpms/nqc-3.1.4-2.src.rpm

Changes:
- Removed groupdel lego
- Added faq, manual and guide docs
- Added flex BuildRequires and groupadd Requires(pre)
- Added -f option to groupadd (success if group exists)

It build fine in mock (x86_64) now. 

Also, I tested the groupadd -f option to ensure that it doesn't have any 
problems with the group if it's already present.
Comment 7 Paul F. Johnson 2006-08-20 14:31:15 EDT
Builds fine in mock.

It's 19:37 in the UK which can mean only one thing, it's time for the official
UK review procedure...

(cue naff 90's music trying to sounds like crumby '06 noises)

At 10...

No ownership problems
rpmlint is clean (well, spaces/tabs in srpm and config file in rpm)
builds clean in mock (i386)
No dupes
No devel, so no pkgconfig, no .so/.la problems
software does as it should
no problems with documentation
consistent use of macros
upstream matches the package (version and md5)
works fine with smp_mflags

And this weeks number 1...

It controls the lego!

(fade really terrible music)

APPROVED

Note You need to log in before you can comment on or make changes to this bug.